# Concept Input StreamConcept
Concept for input streams (for reading).

Extends | StreamConcept
All Extended | StreamConcept
Defined in | <seqan/basic.h>
Signature | `concept InputStreamConcept : StreamConcept;`

## Interface Function Overview

### Interface Functions Inherited From StreamConcept

- `atEnd`
- `directionIterator`
- `position`
- `setPosition`

## Interface Metafunction Overview

### Interface Metafunctions Inherited From StreamConcept

- `DirectionIterator`
- `Position`
- `Size`
- `Value`

#### Dox Sources

    /*!
     * @concept InputStreamConcept Input StreamConcept
     *
     * @headerfile <seqan/basic.h>
     *
     * @extends StreamConcept
     *
     * @brief Concept for input streams (for reading).
     *
     * @signature concept InputStreamConcept : StreamConcept;
     */